Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026846
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2014-06-11 18:262014-06-19 22:31
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR14Q3
StatusclosedFix in branchFixed in SCM revisiond42333fb081c
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026846: Code running on tomcat start to search in remote tomcats is not needed anymore and can't work with Load Balanced Tomcats

DescriptionThere is code added in issue 10309 is running on every tomcat start and checks any row from ad_session marked as still active. And then tries to connect to the tomcat which was running that session (remotely via http) to check if that remote session is still really alive and set it to inactive otherwise.

By design that code relies on the url of the tomcat running that session to be correct inside some ad_session column.

Now when running 2 tomcat's in 1 installation which are access by a load balancer then the url in that ad_session column is the common url of the load-balancer and not anymore the url of the individual tomcat.

That breaks this added code completely and the start check will try to reach 'some' unknown tomcat (as decided by balancer) instead of the one owning the session.

However this added code is not needed anymore at all after issue 11039 has been fixed (which was long time ago (2009).

So this change (after verifying this claims) just be removed.
Steps To ReproduceRun 2 tomcat in 1 install behind a load-balancer and notice url stored in ad_session is the load-balancer url

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0011039 closedalostale Active Session Detection 
related to feature request 0011309 newdmitry_mezentsev Tool for identifying the suitable hardware architecture needed depending on the system load requirements 
related to defect 0010309 closedalostale Restarting Tomcat service does not clean the session_active field in ad_session 
related to defect 0026847 closedalostale Remove inactive sessions earlier 

-  Notes
(0068125)
hgbot (developer)
2014-06-18 14:43

Repository: erp/devel/pi
Changeset: d42333fb081c06474dbc8db8e324f486c52378bc
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Jun 18 09:12:58 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d42333fb081c06474dbc8db8e324f486c52378bc [^]

fixed bug 26846: removed inactive session check in context initialization
  this was causing problems with load balanced and it orginal purpose of
  handling concurrent users is not valid anymore as per fix of 0011039

---
M src/org/openbravo/erpCommon/security/SessionListener.java
M src/org/openbravo/erpCommon/security/SessionLogin_data.xsql
---
(0068126)
hgbot (developer)
2014-06-18 14:44

Repository: erp/devel/pi
Changeset: 1b61c0094c3e1fd806649d8487c659a46466af71
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Jun 18 09:14:15 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1b61c0094c3e1fd806649d8487c659a46466af71 [^]

related to bug 26846: prevent warning in code:
  The static field SessionListener.context should be accessed in a static way

---
M src/org/openbravo/erpCommon/security/SessionListener.java
---
(0068148)
hgbot (developer)
2014-06-19 09:05

Repository: erp/devel/pi
Changeset: 31caeb8872f0489353050d7b220f4e40033c1865
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Jun 19 09:04:41 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/31caeb8872f0489353050d7b220f4e40033c1865 [^]

related to bug 26846: fixed SimpleDateFormat

  Using yyyy instead of YYYY, YYYY is week year whereas yyyy is year

---
M src/org/openbravo/erpCommon/security/SessionListener.java
---
(0068150)
shankarb (developer)
2014-06-19 09:21

Code reviewed and verified in pi changeset 31caeb8872f0.
(0068187)
hudsonbot (developer)
2014-06-19 22:31

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1e0221328796 [^]
Maturity status: Test
(0068188)
hudsonbot (developer)
2014-06-19 22:31

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1e0221328796 [^]
Maturity status: Test
(0068190)
hudsonbot (developer)
2014-06-19 22:31

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1e0221328796 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-06-11 18:26 shuehner New Issue
2014-06-11 18:26 shuehner Assigned To => alostale
2014-06-11 18:26 shuehner Modules => Core
2014-06-11 18:26 shuehner Triggers an Emergency Pack => No
2014-06-11 18:26 shuehner Relationship added related to 0011039
2014-06-11 18:26 shuehner Relationship added related to 0011309
2014-06-11 18:29 shuehner Relationship added related to 0026847
2014-06-12 09:55 alostale Relationship added related to 0010309
2014-06-18 14:29 alostale Review Assigned To => shankarb
2014-06-18 14:43 hgbot Checkin
2014-06-18 14:43 hgbot Note Added: 0068125
2014-06-18 14:43 hgbot Status new => resolved
2014-06-18 14:43 hgbot Resolution open => fixed
2014-06-18 14:43 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d42333fb081c06474dbc8db8e324f486c52378bc [^]
2014-06-18 14:44 hgbot Checkin
2014-06-18 14:44 hgbot Note Added: 0068126
2014-06-19 09:05 hgbot Checkin
2014-06-19 09:05 hgbot Note Added: 0068148
2014-06-19 09:21 shankarb Note Added: 0068150
2014-06-19 09:21 shankarb Status resolved => closed
2014-06-19 09:21 shankarb Fixed in Version => PR14Q3
2014-06-19 22:31 hudsonbot Checkin
2014-06-19 22:31 hudsonbot Note Added: 0068187
2014-06-19 22:31 hudsonbot Checkin
2014-06-19 22:31 hudsonbot Note Added: 0068188
2014-06-19 22:31 hudsonbot Checkin
2014-06-19 22:31 hudsonbot Note Added: 0068190


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker